Package org.eclipse.cdt.core.parser

# Class Directives

java.lang.Object
org.eclipse.cdt.core.parser.Directives

public class Directives extends Object

Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`_PRAGMA`
`static final String`
`DEFINED`
`static final String`
`POUND_BLANK`
`static final String`
`POUND_DEFINE`
`static final String`
`POUND_ELIF`
`static final String`
`POUND_ELSE`
`static final String`
`POUND_ENDIF`
`static final String`
`POUND_ERROR`
`static final String`
`POUND_IF`
`static final String`
`POUND_IFDEF`
`static final String`
`POUND_IFNDEF`
`static final String`
`POUND_INCLUDE`
`static final String`
`POUND_LINE`
`static final String`
`POUND_PRAGMA`
`static final String`
`POUND_UNDEF`

## Constructor Summary

Constructors
Constructor
Description
`Directives()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### POUND_DEFINE

public static final String POUND_DEFINE

See Also:
  - Constant Field Values

### POUND_UNDEF

public static final String POUND_UNDEF

See Also:
  - Constant Field Values

### POUND_IF

public static final String POUND_IF

See Also:
  - Constant Field Values

### POUND_IFDEF

public static final String POUND_IFDEF

See Also:
  - Constant Field Values

### POUND_IFNDEF

public static final String POUND_IFNDEF

See Also:
  - Constant Field Values

### POUND_ELSE

public static final String POUND_ELSE

See Also:
  - Constant Field Values

### POUND_ENDIF

public static final String POUND_ENDIF

See Also:
  - Constant Field Values

### POUND_INCLUDE

public static final String POUND_INCLUDE

See Also:
  - Constant Field Values

### POUND_LINE

public static final String POUND_LINE

See Also:
  - Constant Field Values

### POUND_ERROR

public static final String POUND_ERROR

See Also:
  - Constant Field Values

### POUND_PRAGMA

public static final String POUND_PRAGMA

See Also:
  - Constant Field Values

### POUND_ELIF

public static final String POUND_ELIF

See Also:
  - Constant Field Values

### POUND_BLANK

public static final String POUND_BLANK

See Also:
  - Constant Field Values

### _PRAGMA

public static final String _PRAGMA

See Also:
  - Constant Field Values

### DEFINED

public static final String DEFINED

See Also:
  - Constant Field Values

## Constructor Details

### Directives

public Directives()